@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}
.hero-project {
  position: relative;
  text-align: center;
  overflow: hidden;
} 
.hero-project img {
  width: 100%;
  height: 400px;
  object-fit: cover;
  filter: brightness(70%);
  opacity: 0;
  animation: fadeIn 2s forwards; 
  animation-delay: 0.5s;
  margin-top: 3rem;
}
.project-content {
  max-width: 1200px;
  margin: 2rem auto;
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 2rem;
  padding: 0 2rem;
  opacity: 0;
  animation: fadeIn 2s forwards; 
  animation-delay: 0.5s;
}
.project-content .text h2 {
  color: #1a2a6c;
  font-size: 1.5rem;
  font-weight: 500;
  margin-bottom: 1rem;
}
.project-content p {
  font-size: 1rem;
  font-weight: 300;
}
.sidebar {
  font-size: 0.95rem;
  font-weight: 300;
  text-align: right;
}
.sidebar p{
    margin-bottom: 1rem;
}
.sidebar strong {
  color: #1a2a6c;
}
.project-text {
  max-width: 800px;
  margin: 2rem auto;
  padding: 0 2rem;
  opacity: 0;
  animation: fadeIn 2s forwards; 
  animation-delay: 0.5s;    
}
.project-text h2 {
  font-size: 1.5rem;
  font-weight: 500;
  color: #1a2a6c;
  margin-bottom: 1rem;
}
.project-text p {
  margin-bottom: 1rem;
  font-size: 1rem;
  font-weight: 300;
}
.illustra img {
  width: 100%;
  border-radius: 4px;
  margin: 30px 0;
  opacity: 0;
  animation: fadeIn 2s forwards; 
  animation-delay: 0.5s;
}

.gallery {
  padding-bottom: 5px;
  opacity: 0;
  animation: fadeIn 2s forwards; 
  animation-delay: 0.5s;
}
.gallery-top img {
  width: 100%;
  margin-bottom: 5px;
  
}
.gallery-bottom {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
}
.gallery-bottom img {
  width: 100%;
  height: 400px;
  border-radius: 8px;
}

.video-container {
  position: relative;
  padding-bottom: 56.25%; 
  height: 0;
  overflow: hidden;
  box-shadow: 0 4px 10px rgba(0,0,0,0.2);
  margin: 20px 0;
   opacity: 0;
  animation: fadeIn 2s forwards; 
  animation-delay: 0.5s;
}

.video-container video,
.video-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media (max-width: 768px) {
 .hero-project img {
    height: 10vh;
    min-height: 200px;
  }
    .gallery {
    grid-template-columns: 1fr;
    padding: 0px;
  }
}

@media (max-width: 992px) {
  .project-content {
    grid-template-columns: 1fr;
  }
 .hero-project img {
    height: 20vh;
    min-height: 200px;
  }
  .gallery-top {
    grid-template-columns: 1fr;
  }
  .gallery-bottom {
    grid-template-columns: 1fr;
  }
}

